diff -u src/pl/plpgsql/src/pl_exec.c src/pl/plpgsql/src/pl_exec.c
--- src/pl/plpgsql/src/pl_exec.c
+++ src/pl/plpgsql/src/pl_exec.c
@@ -2989,11 +2989,11 @@
                 {
                     Datum		exprdatum;
                     Oid			exprtype;
-                    bool        *exprisnull;
+                    bool        exprisnull;
                     
                     /* Evaluate expression */
                     exprdatum = exec_eval_expr(estate, recfield->expr, 
-                                    exprisnull, &exprtype);
+                                    &exprisnull, &exprtype);
                                     
                     /* If we've got an integer, it's a field number, otherwise
                      * it's a fieldname
@@ -3002,7 +3002,7 @@
                         exprdatum = exec_simple_cast_value(exprdatum, 
                                                            exprtype,
                                                            INT4OID, -1,
-                                                           exprisnull);
+                                                           &exprisnull);
                         fno = DatumGetInt32(exprdatum);
                     }
                     else {
@@ -3357,11 +3357,11 @@
                 {
                     Datum		exprdatum;
                     Oid			exprtype;
-                    bool        *exprisnull;
+                    bool        exprisnull;
                     
                     /* Evaluate expression */
                     exprdatum = exec_eval_expr(estate, recfield->expr, 
-                                    exprisnull, &exprtype);
+                                    &exprisnull, &exprtype);
                                     
                     
                     /* If we've got an integer, it's a field number, otherwise
@@ -3371,7 +3371,7 @@
                         exprdatum = exec_simple_cast_value(exprdatum, 
                                                            exprtype,
                                                            INT4OID, -1,
-                                                           exprisnull);
+                                                           &exprisnull);
                         fno = DatumGetInt32(exprdatum);
                     }
                     else {
